export function isArrayWithLength(test) {
    return Array.isArray(test) && !!test.length;
}
export function isPlainObject(test) {
    return (test !== null) && (typeof test === 'object') && !Array.isArray(test);
}
export const mergeDeep = (target, source) => {
    const output = { ...target };
    Object.keys(source).forEach((key) => {
        const sourceProp = source[key] || '';
        output[key] =
            (isPlainObject(sourceProp) && key !== 'animation')
                ? (key in target)
                    ? mergeDeep(target[key], sourceProp)
                    : sourceProp
                : sourceProp;
    });
    return output;
};
